package game

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/responses"
)

type GetLoginInfoByIdReq struct {
	*requests.RpcRequest
	GameId      int    `position:"Body" field:"game_id"`
	GameVersion string `position:"Body" field:"game_version"`
	Uid         int    `position:"Body" field:"uid"`
	UserName    string `position:"Body" field:"uname"`
}

type GetLoginInfoByIdResp struct {
	*responses.BaseResponse
	Code int    `json:"code"`
	Msg  string `json:"msg"`
	Data struct {
		AppName        string `json:"app_name"`
		AppID          string `json:"app_id"`
		LoginURL       string `json:"login_url"`
		PayURL         string `json:"pay_url"`
		GameURL        string `json:"game_url"`
		PayCallbackURL string `json:"pay_callback_url"`
		IsH5Logout     int    `json:"is_h5_logout"`
		HideWindow     int    `json:"hidewindow"`
		GameVersion    string `json:"version"`
		GameSign       string `json:"game_sign"`
		GameSignName   string `json:"game_sign_name"`
		GameSignID     string `json:"game_sign_id"`
		IsYsdk         int    `json:"is_ysdk"`
		Company        string `json:"company"`
		CompanyKf      string `json:"company_kf"`
		CompanyProto   string `json:"company_proto"`
		CompanySms     string `json:"company_sms"`
		KfStatus       string `json:"kf_status"`
		PopupTime      int    `json:"popup_time"`
		PayInfo        struct {
			HiddenAlipay   int `json:"hide_alipay"`
			HiddenWx       int `json:"hide_wx"`
			HiddenUnionPay int `json:"hide_union_pay"`
		} `json:"pay_info"`
		GameID     string         `json:"game_id"`
		ScreenType string         `json:"screen_type"`
		GameSwitch int            `json:"game_switch"` // 根据上下文，0 或 1 的整数表示布尔值
		ExtData    map[string]any `json:"ext_data"`
		OsName     string         `json:"os_name"`
	} `json:"data"`
}

func CreateGetLoginInfoByIdReq(gameId int, gameVersion string) *GetLoginInfoByIdReq {
	req := &GetLoginInfoByIdReq{
		RpcRequest: &requests.RpcRequest{},
	}
	req.GameId = gameId
	req.GameVersion = gameVersion
	req.InitWithApiInfo(HOST, VERSION, "/api/login/getInfoById")
	req.Method = requests.POST
	return req
}

func CreateGetLoginInfoByIdResp() *GetLoginInfoByIdResp {
	resp := &GetLoginInfoByIdResp{
		BaseResponse: &responses.BaseResponse{},
	}
	return resp
}
